> ## Documentation Index
> Fetch the complete documentation index at: https://docs.infinity.swiss/llms.txt
> Use this file to discover all available pages before exploring further.

# List invoice templates

> Lists the invoice templates of the organisation, oldest first.

Exactly one template is the default, marked with `isDefault`. It is used for invoices and estimates that are created without a `template`.

## Choosing a template

An organisation can design several invoice templates, for example one per brand. Use this endpoint to find the template an invoice or estimate should be drawn with, and pass its `id` as `template` when [creating an invoice](/api/invoices/create.md) or [an estimate](/api/estimates/create.md).

Templates are returned oldest first. The organisation's default template is marked with `isDefault` and is used whenever a document is created without a `template`.


## OpenAPI

````yaml GET /v1/invoice-templates
openapi: 3.1.0
info:
  title: infinity.swiss Open API
  version: '1.0'
  summary: ''
servers:
  - url: https://api.infinity.swiss
security:
  - apiKey: []
paths:
  /v1/invoice-templates:
    get:
      tags: []
      summary: List invoice templates
      description: >-
        Lists the invoice templates of the organisation, oldest first.


        Exactly one template is the default, marked with `isDefault`. It is used
        for invoices and estimates that are created without a `template`.
      operationId: find-invoice-templates-v1
      responses:
        '200':
          description: The invoice templates of the organisation, oldest first.
          content:
            application/json:
              schema:
                type: object
                required:
                  - invoiceTemplates
                properties:
                  invoiceTemplates:
                    type: array
                    items:
                      $ref: '#/components/schemas/InvoiceTemplate'
        '401':
          $ref: '#/components/responses/Unauthorised'
components:
  schemas:
    InvoiceTemplate:
      title: InvoiceTemplate
      type: object
      description: >-
        An invoice template (design) of the organisation, as far as needed to
        choose one for a document.
      required:
        - id
        - name
        - isDefault
      properties:
        id:
          type: string
          description: >-
            A unique hex identifier for the template. Pass it as `template` when
            creating an invoice or estimate.
          example: 686f1b2ce9500b3ffe4bbc72
        name:
          type: string
          description: The name the template is shown under in Infinity.
          example: Examply Co
        isDefault:
          type: boolean
          description: >-
            Whether this is the organisation's default template, used when an
            invoice or estimate is created without a `template`. Exactly one
            template of an organisation is the default.
  responses:
    Unauthorised:
      description: >-
        An unauthorised request was submitted. You may be using an incorrect or
        expired API token, or are attempting to access a document outside of the
        scope of the token.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                x-stoplight:
                  id: 08hkw8ukmi2lp
                description: Specific error code
          examples:
            Unauthorised request:
              value:
                code: general/unauthorised
  securitySchemes:
    apiKey:
      name: x-api-token
      type: apiKey
      in: header
      description: >-
        API token for authentication. Obtain from your Infinity account
        settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.